$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Event"
type: "object"

properties:
  guid:
    type: string
    format: uuid
  event:
    type: string
    pattern: '[A-Za-z]+'
  schema_version:
    type: string
    pattern: '^(\\d+\\.\\d+\\.\\d+)?(-dev\\.\\d+)?$'
  source:
    $ref: '../core.json#/definitions/EventSource'
  timestamp:
    type: number
  data:
    type: object

required:
  - guid
  - event
  - schema_version
  - source
  - timestamp
  - data

examples:
  - guid: a2803bb5-8e04-49ff-b34e-cb35fe873ac9
    event: TestEvent
    schema_version: 1.0.1-dev.0
    source: BPMN
    timestamp: 1743212063.974533
    data:
      message: Hello, World!